osl::eval::ml::PinPtypePawnAttack Class Reference

`#include <pin.h>`

Inheritance diagram for osl::eval::ml::PinPtypePawnAttack:

## Public Types

enum | { ONE_DIM = 48 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
Static Public Member Functions inherited from osl::eval::ml::PinPtypeAll
static MultiInt | eval (const NumEffectState &state)

## Additional Inherited Members

Public Member Functions inherited from osl::eval::ml::PinPtypeAll
template<osl::Player Defense>
osl::MultiInt | evalOne (const NumEffectState &state)
Static Protected Attributes inherited from osl::eval::ml::PinPtypeAll
static CArray< MultiInt, 80 > | table
static CArray< MultiInt, 48 > | pawn_table
static CArray< MultiInt, 560 > | distance_table

## Detailed Description

Definition at line 83 of file pin.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 86 of file pin.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::PinPtypePawnAttack::setUp | ( | const Weights & | weights | ) |

static

Definition at line 104 of file eval_pin.cc.

References osl::NStages, ONE_DIM, osl::eval::ml::PinPtypeAll::pawn_table, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- pin.h
- eval_pin.cc